Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1051832 - Finish splitting setup into subpackages
Summary: Finish splitting setup into subpackages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Yedidyah Bar David
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-01-11 22:46 UTC by Alon Bar-Lev
Modified: 2015-02-12 14:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-12 14:16:10 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Alon Bar-Lev 2014-01-11 22:46:01 UTC
Please continue the work of splitting setup to multiple subpackages.

1. split constants to [at least] base and engine-common.

2. rename packages within setup/ovirt_engine_setup to have some prefix or submodules so that can be included only in correct packages.

3. etc...

Comment 1 Sandro Bonazzola 2014-07-22 12:20:06 UTC
alon, can you check current status and see if we're missing still something?

Comment 2 Alon Bar-Lev 2014-07-22 12:28:42 UTC
(In reply to Sandro Bonazzola from comment #1)
> alon, can you check current status and see if we're missing still something?

I hope so, I did not follow your changes, nor if you completed the last round of comments.

Comment 3 Yedidyah Bar David 2014-08-05 10:24:04 UTC
Moving to QA. Nothing to verify here really. package names and functions remained basically the same as in 3.4, the actual content was cleaned up and dependencies were loosened. Main reason was to allow setup of engine/websocket-proxy/dwh/reports on separate hosts.

Comment 4 Jiri Belka 2014-08-06 13:51:35 UTC
ok based on #3. fyi separate setup of websocket proxy works, iirc the same applies for dwh/reports.


Note You need to log in before you can comment on or make changes to this bug.